> ## Documentation Index
> Fetch the complete documentation index at: https://agnt.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Youtube Channel ID

> This endpoint get the channel ID of a Youtube Channel given the channel name



## OpenAPI

````yaml /openapi/youtube.openapi.json get /v1/data/youtube/channel/id
openapi: 3.0.0
info:
  title: agntdata YouTube API
  description: >-
    Comprehensive YouTube API with robust features for YouTube search, detailed
    YouTube video insights, channel information, access to YouTube trending
    content, and personalized YouTube recommendations.
  version: 1.0.0
  contact:
    name: agntdata
    url: https://agntdata.dev
servers:
  - url: https://api.agntdata.dev
    description: agntdata API
security:
  - ApiKeyAuth: []
tags:
  - name: Trending
    description: ''
  - name: Channel
    description: ''
  - name: Search
    description: ''
  - name: Video
    description: ''
  - name: Audio
    description: ''
  - name: Screenshot
    description: ''
paths:
  /v1/data/youtube/channel/id:
    get:
      tags:
        - Channel
      summary: Youtube Channel ID
      description: >-
        This endpoint get the channel ID of a Youtube Channel given the channel
        name
      operationId: Youtube_Channel_ID
      parameters:
        - name: channel_name
          in: query
          required: true
          schema:
            type: string
            default: LinusTechTips
      responses:
        '200':
          description: Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Get_youtube_channel_id_Response'
              example:
                channel_id: UCXuqSBlHAE6Xw-yeJA0Tunw
                channel_name: LinusTechTips
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Get_youtube_channel_id_Response422'
              example:
                detail:
                  - loc: []
                    msg: ''
                    type: ''
      security:
        - ApiKeyAuth: []
components:
  schemas:
    Get_youtube_channel_id_Response:
      title: ChannelId
      type: object
      properties:
        channel_id:
          title: Channel Id
          type: string
        channel_name:
          title: Channel Name
          type: string
      description: Schema Class for Youtube Channel ID
    Get_youtube_channel_id_Response422:
      title: HTTPValidationError
      type: object
      properties:
        detail:
          title: Detail
          type: array
          items:
            title: ValidationError
            required:
              - loc
              - msg
              - type
            type: object
            properties:
              loc:
                title: Location
                type: array
                items:
                  anyOf:
                    - type: string
                    - type: integer
              msg:
                title: Message
                type: string
              type:
                title: Error Type
                type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Bearer token. Pass your agntdata API key as: Authorization: Bearer
        agnt_live_...

````